image: node:lts

pages:
  cache:
    paths:
      - node_modules/

  script:
    - yarn
    - yarn build

  artifacts:
    paths:
      - public

  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH